#include <CORBA-SMALL.h>
#include <iostream.h>
#include <fstream.h>
#include <unistd.h>
#include "hello.h"

class Hello_impl : virtual public Hello_skel {
public:
    void hello_world()
    {
      cout << "Hello, world!" << endl;
    }
};

int main( int argc, char *argv[] )
{
    CORBA::ORB_var orb = CORBA::ORB_init( argc, argv, "mico-local-orb" );
    CORBA::BOA_var boa = orb->BOA_init (argc, argv, "mico-local-boa");

    Hello_ptr hello = new Hello_impl ();
    boa->impl_is_ready (NULL);
    orb->run ();

    return 0;
}
